Monitors
Run Results
Get enrichment results and change diffs for a specific run.
GET
/
api
/
agent
/
monitors
/
{id}
/
runs
/
{runId}
/
results
Run Results
curl --request GET \
--url https://encrata.com/api/agent/monitors/{id}/runs/{runId}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://encrata.com/api/agent/monitors/{id}/runs/{runId}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://encrata.com/api/agent/monitors/{id}/runs/{runId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"data": {},
"changes": {},
"has_changes": true
}Authentication
Requires an API key in theAuthorization header.
Authorization: Bearer YOUR_API_KEY
Path parameters
string
required
The monitor’s unique identifier (UUID).
string
required
The run’s unique identifier (UUID).
Query parameters
boolean
Set to
true to only return records with detected changes. Default: false.Example request
curl "https://encrata.com/api/monitors/a1b2c3d4-.../runs/b2c3d4e5-.../results?changes_only=true" \
-H "Authorization: Bearer YOUR_API_KEY"
Response
Returns an array of snapshot objects.string
The email address.
object
The full enriched profile data from this run.
object | null
Field-level diff object. Each key is a changed field with
old and new values. null if no changes.boolean
Whether this record has any detected changes.
Example response
[
{
"email": "satya@microsoft.com",
"data": { "first_name": "Satya", "company": "Microsoft", "job_role": "CEO", ... },
"changes": {
"job_role": { "old": "CTO", "new": "CEO" }
},
"has_changes": true
}
]
CSV Download
Append/download to the results URL to download as CSV:
curl "https://encrata.com/api/monitors/a1b2c3d4-.../runs/b2c3d4e5-.../results/download" \
-H "Authorization: Bearer YOUR_API_KEY" \
-o results.csv
Was this page helpful?
⌘I
Run Results
